libzypp: zypp::KeyRing::Impl Struct Reference

libzypp 17.38.10

zypp::KeyRing::Impl Struct Reference

`#include <zypp/zypp_detail/keyring_p.h>`

Inheritance diagram for zypp::KeyRing::Impl:

## Public Member Functions
| Impl (const filesystem::Pathname &baseTmpDir)
Public Member Functions inherited from zypp::KeyRingImpl
zyppng::SignalProxy< void(const PublicKey &)> | sigTrustedKeyAdded ()
zyppng::SignalProxy< void(const PublicKey &)> | sigTrustedKeyRemoved ()
| KeyRingImpl (const Pathname &baseTmpDir)
void | allowPreload (bool yesno_r)
void | importKey (const PublicKey &key, const Ring ring)
| Import PublicKeys into a Ring.
void | importKeys (const std::list< PublicKey > &keys, const Ring ring)
PublicKey | exportKey (const std::string &id, const Ring ring) const
PublicKey | exportKey (const PublicKeyData &keyData, const Ring ring) const
PublicKey | exportKey (const PublicKey &key, const Ring ring) const
void | deleteKey (const std::string &id, const Ring ring)
void | dumpPublicKey (const std::string &id, const Ring ring, std::ostream &stream)
bool | verifyFile (const Pathname &file, const Pathname &signature, const Ring ring)
std::string | readSignatureKeyId (const Pathname &signature)
void | multiKeyImport (const Pathname &keyfile_r, const Ring ring)
| Used by RpmDB to import the trusted keys.
MustUpdate | mustUpdateData (const PublicKeyData &keyData, const Ring ring) const
| Helper computing PublicKeyData's status in a Ring.
bool | isKeyTrusted (const std::string &id) const
bool | isKeyKnown (const std::string &id) const
PublicKeyData | publicKeyData (const std::string &id, const Ring ring) const
PublicKeyData | publicKeyData (const PublicKeyData &keyData, const Ring ring) const
PublicKeyData | publicKeyData (const PublicKey &key, const Ring ring) const
const std::list< PublicKeyData > & | publicKeyData (const Ring ring) const
std::list< PublicKey > | publicKeys (const Ring ring) const

## Additional Inherited Members
Public Types inherited from zypp::KeyRingImpl
enum class | Ring : bool { General = false , Trusted = true }
enum class | MustUpdate { Present = 0 , Missing = 1 , Update = 2 }

## Detailed Description

Definition at line 20 of file keyring_p.h.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::KeyRing::Impl::Impl | ( | const filesystem::Pathname & | baseTmpDir | ) |

Definition at line 139 of file KeyRing.cc.

The documentation for this struct was generated from the following files:

- zypp/zypp_detail/keyring_p.h
- zypp/KeyRing.cc